package com.ruoyi.common.enums;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENCODE,

    /**
     * 清空数据
     */
    CLEAN,

    /**
     * 开锁
     */
    UNLOCKING,

    /**
     * 改价
     */
    EDITPRICE,

    /**
     * 退款
     */
    REFUND,

    /**
     * 提现
     */
    WITHDRAW,

    /**
     * 预约
     */
    APPOINTMENT,
    /**
     * 取消预约
     */
    CANCEL_APPOINTMENT,
    /**
     * 还车
     */
    RETURN_VEHICLE,
    /**
     * 临时锁车
     */
    LOCK,
    /**
     * 临时解锁
     */
    UNLOCK,
    /**
     * 车辆上线
     */
    ONLINE,

    /**
     * 车辆下线
     */
    OFFLINE,
    /**
     * 禁用
     */
    DISABLE,
    /**
     * 解禁
     */
    ENABLE,
    /**
     * 维修处理
     */
    REPAIR,
}
