package com.ruoyi.system.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 分账明细对象 et_dividend_detail
 *
 * @author 邱贞招
 * @date 2024-05-27
 */
@Data
public class EtDividendDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    private Long areaId;

    /** 合伙人id */
    @Excel(name = "合伙人id")
    private Long partnerId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 订单总金额 */
    @Excel(name = "订单总金额")
    private BigDecimal totalAmount;

    /** 分账金额 */
    @Excel(name = "分账金额")
    private BigDecimal dividendAmount;

    /** 分红比例 */
    @Excel(name = "分红比例")
    private Integer dividendProportion;

    /** 分账项目 */
    @Excel(name = "分账项目")
    private String dividendItem;

}
