package com.ruoyi.common.constant;


/**
 * iot常量信息
 *
 * @author ruoyi
 */
public class IotConstants {

    /**
     * 时间单位 分钟
     */
    public static final String TIME_MIN = "min";

    /**
     * 时间单位 小时
     */
    public static final String TIME_HOUR = "hour";
    /**
     * 命令分隔符  @
     */
    public static final String COMMAND_SEPARATOR = "@";

    /**----------------------------地址start----------------------------*/
    /**
     * 命令下发地址
     */
    public static final String ADDS_COMMAND = "/synccmds";

    /**
     * 设备数据点地址
     */
    public static final String ADDS_HISTORY_DATAPOINTS = "/history-datapoints";

    /**
     * 设备数据点地址
     */
    public static final String ADDS_CURRENT_DATAPOINTS = "/current-datapoints";

    /**----------------------------地址end----------------------------*/

    /**----------------------------命令start----------------------------*/
    /**
     * 命令  打开
     */
    public static final String COMMAND_OPEN = "open";

    /**
     * 命令  关闭
     */
    public static final String COMMAND_CLOSE = "close";

    /**
     * 命令  subXX@ xx是上报时间修改，例如20 则上报20秒一次， 关闭订单之后为5倍的上报间隔也就是100秒上报一次数据
     */
    public static final String COMMAND_SUB = "sub";

    /**
     * 命令  超出营运区（禁行区）断电，不进行轮动检测
     */
    public static final String COMMAND_QLOSE = "qlose";

    /**
     * 命令  临时锁车，断电会进行轮动检测
     */
    public static final String COMMAND_LLOSE = "llose";

    /**
     * 命令  0欢迎
     */
    public static final String COMMAND_PLAY0 = "play0@";

    /**
     * 命令  1报警
     */
    public static final String COMMAND_PLAY1 = "play1@";

    /**
     * 命令  2营运边界
     */
    public static final String COMMAND_PLAY2 = "play2@";

    /**
     * 命令  3超出营运边界
     */
    public static final String COMMAND_PLAY3 = "play3@";

    /**
     * 命令  4车辆未解锁
     */
    public static final String COMMAND_PLAY4 = "play4@";

    /**
     * 命令  5超速
     */
    public static final String COMMAND_PLAY5 = "play5@";

    /**
     * 命令  6电量低
     */
    public static final String COMMAND_PLAY6 = "play6@";

    /**
     * 命令  7临时停车
     */
    public static final String COMMAND_PLAY7 = "play7@";

    /**
     * 命令  8使用结束
     */
    public static final String COMMAND_PLAY8 = "play8@";

    /**----------------------------命令end----------------------------*/


    /**
     * ONENET定位日志
     */
    public static final String ONENET_LOCATION = "sys";

}
